Instalacion e introduccion a flutter

Instalación y configuración del entorno de desarrollo con flutter.

Estas instrucción son especialmente para SO windows.

Requerimientos del Sistema

Para instalar y ejecutar Flutter, su entorno de desarrollo debe cumplir con estos requisitos mínimos

      • Sistema Operativo: Windows 7 SP1 o superior (64 bits)
      • Espacio en disco: 400 MB (no incluye espacio en disco para IDE / herramientas).
      • Herramientas: Flutter depende de que estas herramientas esten disponibles en su entorno.
      • Windows PowerShell 5.0 o mas reciente (esto esta pre-instalado con Win10)
      • Git para Windows 2.x, con la opción Usar Git desde el símbolo del sistema de Windows.

Nota: Si Git para Windows ya está instalado, asegúrese de que puede ejecutar comandos git desde el símbolo del sistema o PowerShell.

2. Extraiga el archivo zip y coloque el contenido en la ubicación de instalación deseada para el SDK de Flutter (por ejemplo, C:\ src\flutter; NO INSTALE Flutter en un directorio como C:\ Archivos de programa\ que requiera privilegios elevados).

Actualizar su variable de entorno PATH

Si desea ejecutar los comandos de Flutter en la consola normal de Windows, siga estos pasos para agregar Flutter a la variable de entorno PATH:

    • En la barra de inicio de búsqueda, ingrese «enviroments» o «variables de entorno» (segun el idioma de tu S.O.)  y seleccione Editar variables de entorno para su cuenta.
    • En Variables de usuario, verifique si hay una entrada llamada Ruta:
      • Si la entrada existe, agregue la ruta completa a flutter\bin usando « ; » como separador de los valores existentes.
      • Si la entrada no existe, cree una nueva variable de usuario llamada Ruta con la ruta completa a flutter\bin como su valor.

Tenga en cuenta que debe cerrar y volver a abrir las ventanas de consola existentes para que estos cambios surtan efecto.

Ejecutar Flutter doctor

Desde una ventana de consola que tiene el directorio Flutter en la ruta (ver arriba), ejecute el siguiente comando para ver si hay dependencias de la plataforma que necesita para completar la configuración:

C:\src\flutter>flutter doctor

Este comando verifica su entorno y muestra un informe del estado de su instalación de Flutter. Verifique cuidadosamente la salida para ver si hay otro software que necesite instalar o realizar más tareas (en negrita).

Por ejemplo:

[-] Android toolchain – develop for Android devices

• Android SDK at D:\Android\sdk
✗ Android SDK is missing command line tools; download from https://goo.gl/XxQghQ
• Try re-installing or updating your Android SDK,
visit https://flutter.dev/setup/#android-setup for detailed instructions.

Las siguientes secciones describen cómo realizar estas tareas y finalizar el proceso de configuración. Una vez que haya instalado las dependencias que faltan, puede ejecutar el comando flutter doctor nuevamente para verificar que haya configurado todo correctamente.

Advertencia: la herramienta Flutter utiliza Google Analytics para informar anónimamente estadísticas de uso de funciones e informes básicos de fallas. Estos datos se utilizan para ayudar a mejorar las herramientas Flutter con el tiempo.

El análisis de la herramienta Flutter no se envía en la primera ejecución. Para deshabilitar los informes, escriba flutter config –no-analytics. Para mostrar la configuración actual, escriba flutter config. Si opta por la exclusión de análisis, se enviará un evento de exclusión voluntaria y luego la herramienta Flutter no enviará más información.

Al descargar el SDK de Flutter, acepta los Términos de servicio de Google. Nota: La Política de privacidad de Google describe cómo se manejan los datos en este servicio.

Además, Flutter incluye el Dart SDK, que puede enviar métricas de uso e informes de fallas a Google.

Table of Contents

{"login":"blobaugh","id":806179,"node_id":"MDQ6VXNlcjgwNjE3OQ==","avatar_url":"https://avatars1.githubusercontent.com/u/806179?v=4","gravatar_id":"","url":"https://api.github.com/users/blobaugh","html_url":"https://github.com/blobaugh","followers_url":"https://api.github.com/users/blobaugh/followers","following_url":"https://api.github.com/users/blobaugh/following{/other_user}","gists_url":"https://api.github.com/users/blobaugh/gists{/gist_id}","starred_url":"https://api.github.com/users/blobaugh/starred{/owner}{/repo}","subscriptions_url":"https://api.github.com/users/blobaugh/subscriptions","organizations_url":"https://api.github.com/users/blobaugh/orgs","repos_url":"https://api.github.com/users/blobaugh/repos","events_url":"https://api.github.com/users/blobaugh/events{/privacy}","received_events_url":"https://api.github.com/users/blobaugh/received_events","type":"User","site_admin":false,"name":"Ben Lobaugh","company":"Mindsize","blog":"http://ben.lobaugh.net","location":null,"email":null,"hireable":true,"bio":null,"twitter_username":null,"public_repos":100,"public_gists":36,"followers":78,"following":38,"created_at":"2011-05-23T21:38:50Z","updated_at":"2020-08-04T14:06:09Z"}

EDSON EL GRANDE